## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg18.04+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200

pgqd (3.3-5) unstable; urgency=medium

  * Update watch file to look at git tarballs only.
  * DH 13; disable autoreconf (broken in 3.3).

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 13:34:35 +0200

pgqd (3.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Replace /var/run with /run for the Service PIDFile.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Feb 2020 09:32:30 +0100

pgqd (3.3-3) unstable; urgency=medium

  * Add debian/gitlab-ci.yml
  * Make build verbose.
  * Remove unused python-docutils build-dependency. (Closes: #943154)
  * debian/watch: Fix URL (but there are still no actual releases).

 -- Christoph Berg <myon@debian.org>  Fri, 25 Oct 2019 12:36:43 +0200

pgqd (3.3-2) unstable; urgency=medium

  * Add Vcs URLs.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 04 Feb 2019 17:16:27 +0100

pgqd (3.3-1) unstable; urgency=medium

  * Initial Debian upload.
  * This package is replacing skytools3-ticker from the former skytools3
    package, last seen at version 3.2.6-5.
  * Packaging based on upstream packaging, which in turn is based on our old
    skytools3 packaging.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Oct 2017 22:02:35 +0200
