## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg20.04+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200
