## pgqd 3.3~20220624.1003-5~1.git4d4070d.pgdg21.10+1

=== debian/changelog ===
pgqd (3.3~20220624.1003-5~1.git4d4070d.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:34:35 +0200
