=== debian/control ===
Source: pgqd
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.5.0
Build-Depends:
 automake,
 debhelper (>= 10),
 libevent-dev (>= 2.0),
 libpq-dev,
 libtool,
Homepage: https://github.com/pgq/pgqd
Vcs-Browser: https://salsa.debian.org/postgresql/pgqd
Vcs-Git: https://salsa.debian.org/postgresql/pgqd.git

Package: pgqd
Architecture: any
Depends: lsb-base, postgresql-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: skytools3-ticker (<< 3.3)
Replaces: skytools3-ticker
Description: Queue maintenance daemon for PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the queue maintenance daemon pgdq.

Package: skytools3-ticker
Section: oldlibs
Architecture: all
Depends: pgqd, ${misc:Depends}
Description: Transitional package to pull in pgqd
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This transitional package pulls in the pgqd package on upgrades. It can safely
 be removed.
