## pgqd 3.3

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 4.5.0
 Build-Depends:
  automake,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libevent-dev (>= 2.0),
  libpq-dev,
  libtool,
