=== debian/rules ===
#! /usr/bin/make -f

# make build verbose
export V=1

%:
	dh $@

override_dh_autoreconf:
	# autoreconf broken in 3.3

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure
	
override_dh_auto_install:
	dh_auto_install -- docdir=/usr/share/doc/pgqd

override_dh_auto_clean:
	$(MAKE) xclean
	rm -rf .objs lib/usual/config.h.in
