=== debian/watch ===
version=4
https://github.com/pgq/pgqd/releases .*/v([^/]*).tar.gz
