=== debian/changelog ===
pgqd (3.5-2) unstable; urgency=medium

  * Drop transitional package skytools3-ticker (Closes: #1032791)
    * Install files to debian/tmp, even though we now build single package.
  * Add Pre-Depends suitable for init-system-helpers.
  * Drop dependency on obsolete lsb-base.
  * Clean debian/copyright.
  * Update patches.
  * Update standards version to 4.7.0; no changes necessary.
  * Take over package maintenance (Closes: #992934).

 -- Tomasz Rybak <serpent@debian.org>  Mon, 06 May 2024 22:47:21 +0200

pgqd (3.5-1) unstable; urgency=medium

  * New upstream version 3.5
  * debian/watch: use tags, not releases, but still download release file,
    as upstream uses git submodules.
  * Fix debian/rules: disable tests, rework auto(re)conf.
  * Add build-time dependency to pkgconf and python3-docutils.
  * Install pgqd manfile.
  * Add myself to uploaders, remove Christoph.
  * Add debian/gbp.conf file.
  * Update standards version to 4.6.2; no changes necessary.
  * Remove unnecessary lintian override.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 09 Jan 2023 14:32:38 +0100
