=== debian/control ===
Source: pgqd
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Tomasz Rybak <serpent@debian.org>
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 automake,
 libevent-dev (>= 2.0),
 libpq-dev,
 libtool,
 pkgconf,
 python3-docutils,
Homepage: https://github.com/pgq/pgqd
Vcs-Browser: https://salsa.debian.org/postgresql/pgqd
Vcs-Git: https://salsa.debian.org/postgresql/pgqd.git

Package: pgqd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: postgresql-common, ${misc:Depends}, ${shlibs:Depends}
Description: Queue maintenance daemon for PgQ
 PgQ provides generic queues for PostgreSQL. It allows multiple queues in one
 database, each queue can be consumed by multiple consumers.
 .
 This package contains the queue maintenance daemon pgdq.
