=== debian/rules ===
#! /usr/bin/make -f

# make build verbose
export V=1

%:
	dh $@

override_dh_autoreconf:
	# autoreconf broken in 3.3 and 3.5

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- docdir=/usr/share/doc/pgqd

override_dh_auto_test:
	# Disable - requires manual data input

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf .objs
	rm -f config.mak config.log config.status lib/usual/config.h
