=== debian/watch ===
version=4
opts="downloadurlmangle=s#archive/refs/tags/v(.*).tar.gz$#releases/download/v$1/pgqd-$1.tar.gz#" \
https://github.com/pgq/pgqd/tags .*/v([^/]*).tar.gz
